<div class="confirmation-with-reason__header">
  <h2 class="confirmation-with-reason__title">{{ data.title }}</h2>
</div>
<div>
  <span
    *ngIf="data.description"
    class="confirmation-with-reason__description"
    >{{ data.description }}</span
  >
  <form [formGroup]="formGroup">
    <div class="form-group">
      <label class="form-group__label">Səbəb</label>
      <div class="input-block input-block_h-48">
        <textarea
          [maxlength]="data.maxLength || 5000"
          formControlName="reason"
          class="input-block__textarea"
        ></textarea>
        <span
          *ngIf="data.maxLength !== undefined"
          class="input-block__chars-count mt-20 ml-auto"
          >{{ formGroup.value.reason?.length || 0 }}/{{ data.maxLength }}</span
        >
      </div>
      <span
        *ngIf="formGroup.touched && formGroup?.hasError('required', 'reason')"
        class="error mt-5"
        >Səbəb sahəsi zəruridir</span
      >
    </div>
  </form>
</div>
<mat-dialog-actions align="end">
  <button
    class="button button_br button_bg-gray button_c-black mr-10"
    cdkFocusInitial
    mat-dialog-close
  >
    {{ data.closeButtonText || "Bağla" }}
  </button>
  <button
    class="button button_br button_bg-brand-orange button_c-white"
    (click)="onConfirmClick()"
  >
    {{ data.confirmatioButtonText }}
  </button>
</mat-dialog-actions>
